#include "EsoAcsammm_Header.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void t1_res(double* yy, double* t1_yy, double* der_x, double* t1_der_x, double* x, double* t1_x, double* p, double* t1_p, int* condit, int* lock, int* prev, int& n_x, int& n_p, int& n_c)
#pragma ad indep x t1_x p t1_p
#pragma ad dep yy t1_yy
{
   int i_E=0; 
   int i_C=0; 
   int i__=0; 
   int j__=0; 
   int k__=0; 
   int m__=0; 
   int r_i=0; 
   int r_j=0; 
   int i_a=0; 
   int i_b=0; 
   int i_loop=0; 
   int i__switch=0; 
   int i__start=0; 
   int i__end=0; 
   int i__step=0; 
   int while_end=0; 
   int i_cont=0; 
   int j_cont=0; 
   int k_cont=0; 
   double var_mu_m=0; 
   double t1_var_mu_m=0; 
   double var_K_m=0; 
   double t1_var_K_m=0; 
   double var_K_I=0; 
   double t1_var_K_I=0; 
   double var_Y_x=0; 
   double t1_var_Y_x=0; 
   double var_Y_p=0; 
   double t1_var_Y_p=0; 
   double var_v=0; 
   double t1_var_v=0; 
   double var_S_in=0; 
   double t1_var_S_in=0; 
   double par_u=0; 
   double t1_par_u=0; 
   double var_X=0; 
   double t1_var_X=0; 
   double der_var_X=0; 
   double t1_der_var_X=0; 
   double var_S=0; 
   double t1_var_S=0; 
   double der_var_S=0; 
   double t1_der_var_S=0; 
   double var_P=0; 
   double t1_var_P=0; 
   double der_var_P=0; 
   double t1_der_var_P=0; 
   double var_V=0; 
   double t1_var_V=0; 
   double der_var_V=0; 
   double t1_der_var_V=0; 
   double var_muS=0; 
   double t1_var_muS=0; 
   double der_var_muS=0; 
   double t1_der_var_muS=0; 
   double var_div0=0; 
   double t1_var_div0=0; 
   double var_div1=0; 
   double t1_var_div1=0; 
   double var_div2=0; 
   double t1_var_div2=0; 
   double var_div3=0; 
   double t1_var_div3=0; 
   double var_div4=0; 
   double t1_var_div4=0; 
   double var_div5=0; 
   double t1_var_div5=0; 
   double var_i_expr=0; 
   double t1_var_i_expr=0; 
   double var_div6=0; 
   double t1_var_div6=0; 
   int i_i=0; 
   int i_j=0; 
   int i_z=0; 
   double v1_0=0; 
   double t1_v1_0=0; 
   double v1_1=0; 
   double t1_v1_1=0; 
   double v1_2=0; 
   double t1_v1_2=0; 
   double v1_3=0; 
   double t1_v1_3=0; 
   double v1_4=0; 
   double t1_v1_4=0; 
   double v1_5=0; 
   double t1_v1_5=0; 
   double v1_6=0; 
   double t1_v1_6=0; 
   double v1_7=0; 
   double t1_v1_7=0; 
   double v1_8=0; 
   double t1_v1_8=0; 
   double v1_9=0; 
   double t1_v1_9=0; 
   double v1_10=0; 
   double t1_v1_10=0; 
   double v1_11=0; 
   double t1_v1_11=0; 
   double v1_12=0; 
   double t1_v1_12=0; 
   double v1_13=0; 
   double t1_v1_13=0; 
   double v1_14=0; 
   double t1_v1_14=0; 
   double v1_15=0; 
   double t1_v1_15=0; 
   double v1_16=0; 
   double t1_v1_16=0; 
   t1_v1_0=0;  // TLM constant reference
   v1_0=0.02;  // SAC constant reference
   t1_var_mu_m=t1_v1_0; // TLM =
   var_mu_m=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=0.05;  // SAC constant reference
   t1_var_K_m=t1_v1_0; // TLM =
   var_K_m=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=5;  // SAC constant reference
   t1_var_K_I=t1_v1_0; // TLM =
   var_K_I=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=0.5;  // SAC constant reference
   t1_var_Y_x=t1_v1_0; // TLM =
   var_Y_x=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=1.2;  // SAC constant reference
   t1_var_Y_p=t1_v1_0; // TLM =
   var_Y_p=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=0.004;  // SAC constant reference
   t1_var_v=t1_v1_0; // TLM =
   var_v=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=200;  // SAC constant reference
   t1_var_S_in=t1_v1_0; // TLM =
   var_S_in=v1_0; // SAC =
   t1_v1_0=t1_p[0]; // TLM array memory reference
   v1_0=p[0]; // SAC array memory reference
   t1_par_u=t1_v1_0; // TLM =
   par_u=v1_0; // SAC =
   t1_v1_0=t1_x[0]; // TLM array memory reference
   v1_0=x[0]; // SAC array memory reference
   t1_var_X=t1_v1_0; // TLM =
   var_X=v1_0; // SAC =
   t1_v1_0=t1_der_x[0]; // TLM array memory reference
   v1_0=der_x[0]; // SAC array memory reference
   t1_der_var_X=t1_v1_0; // TLM =
   der_var_X=v1_0; // SAC =
   t1_v1_0=t1_x[1]; // TLM array memory reference
   v1_0=x[1]; // SAC array memory reference
   t1_var_S=t1_v1_0; // TLM =
   var_S=v1_0; // SAC =
   t1_v1_0=t1_der_x[1]; // TLM array memory reference
   v1_0=der_x[1]; // SAC array memory reference
   t1_der_var_S=t1_v1_0; // TLM =
   der_var_S=v1_0; // SAC =
   t1_v1_0=t1_x[2]; // TLM array memory reference
   v1_0=x[2]; // SAC array memory reference
   t1_var_P=t1_v1_0; // TLM =
   var_P=v1_0; // SAC =
   t1_v1_0=t1_der_x[2]; // TLM array memory reference
   v1_0=der_x[2]; // SAC array memory reference
   t1_der_var_P=t1_v1_0; // TLM =
   der_var_P=v1_0; // SAC =
   t1_v1_0=t1_x[3]; // TLM array memory reference
   v1_0=x[3]; // SAC array memory reference
   t1_var_V=t1_v1_0; // TLM =
   var_V=v1_0; // SAC =
   t1_v1_0=t1_der_x[3]; // TLM array memory reference
   v1_0=der_x[3]; // SAC array memory reference
   t1_der_var_V=t1_v1_0; // TLM =
   der_var_V=v1_0; // SAC =
   t1_v1_0=t1_x[4]; // TLM array memory reference
   v1_0=x[4]; // SAC array memory reference
   t1_var_muS=t1_v1_0; // TLM =
   var_muS=v1_0; // SAC =
   t1_v1_0=t1_der_x[4]; // TLM array memory reference
   v1_0=der_x[4]; // SAC array memory reference
   t1_der_var_muS=t1_v1_0; // TLM =
   der_var_muS=v1_0; // SAC =
   t1_acs_div(par_u,t1_par_u,var_V,t1_var_V,var_div0,t1_var_div0);
   t1_v1_0=t1_der_var_X; // TLM scalar memory reference
   v1_0=der_var_X; // SAC scalar memory reference
   t1_v1_1=t1_var_muS; // TLM scalar memory reference
   v1_1=var_muS; // SAC scalar memory reference
   t1_v1_2=t1_var_X; // TLM scalar memory reference
   v1_2=var_X; // SAC scalar memory reference
   t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   t1_v1_4=t1_var_div0; // TLM scalar memory reference
   v1_4=var_div0; // SAC scalar memory reference
   t1_v1_5=t1_var_X; // TLM scalar memory reference
   v1_5=var_X; // SAC scalar memory reference
   t1_v1_6=v1_5*t1_v1_4+v1_4*t1_v1_5; // TLM *
   v1_6=v1_4*v1_5; // SAC *
   t1_v1_7=t1_v1_3-t1_v1_6; // TLM -
   v1_7=v1_3-v1_6; // SAC -
   t1_v1_8=t1_v1_7; // TLM ()
   v1_8=v1_7; // SAC ()
   t1_v1_9=t1_v1_0-t1_v1_8; // TLM -
   v1_9=v1_0-v1_8; // SAC -
   t1_yy[i_E]=t1_v1_9; // TLM =
   yy[i_E]=v1_9; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_acs_div(var_X,t1_var_X,var_Y_x,t1_var_Y_x,var_div1,t1_var_div1);
   t1_acs_div(var_X,t1_var_X,var_Y_p,t1_var_Y_p,var_div2,t1_var_div2);
   t1_acs_div(par_u,t1_par_u,var_V,t1_var_V,var_div3,t1_var_div3);
   t1_v1_0=t1_der_var_S; // TLM scalar memory reference
   v1_0=der_var_S; // SAC scalar memory reference
   t1_v1_1=t1_var_muS; // TLM scalar memory reference
   v1_1=var_muS; // SAC scalar memory reference
   t1_v1_2=t1_var_div1; // TLM scalar memory reference
   v1_2=var_div1; // SAC scalar memory reference
   t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   t1_v1_4=t1_var_v; // TLM scalar memory reference
   v1_4=var_v; // SAC scalar memory reference
   t1_v1_5=t1_var_div2; // TLM scalar memory reference
   v1_5=var_div2; // SAC scalar memory reference
   t1_v1_6=v1_5*t1_v1_4+v1_4*t1_v1_5; // TLM *
   v1_6=v1_4*v1_5; // SAC *
   t1_v1_7=t1_v1_3-t1_v1_6; // TLM -
   v1_7=v1_3-v1_6; // SAC -
   t1_v1_8=t1_var_div3; // TLM scalar memory reference
   v1_8=var_div3; // SAC scalar memory reference
   t1_v1_9=t1_var_S_in; // TLM scalar memory reference
   v1_9=var_S_in; // SAC scalar memory reference
   t1_v1_10=t1_var_S; // TLM scalar memory reference
   v1_10=var_S; // SAC scalar memory reference
   t1_v1_11=t1_v1_9-t1_v1_10; // TLM -
   v1_11=v1_9-v1_10; // SAC -
   t1_v1_12=t1_v1_11; // TLM ()
   v1_12=v1_11; // SAC ()
   t1_v1_13=v1_12*t1_v1_8+v1_8*t1_v1_12; // TLM *
   v1_13=v1_8*v1_12; // SAC *
   t1_v1_14=t1_v1_7+t1_v1_13; // TLM +
   v1_14=v1_7+v1_13; // SAC +
   t1_v1_15=t1_v1_14; // TLM ()
   v1_15=v1_14; // SAC ()
   t1_v1_16=t1_v1_0-t1_v1_15; // TLM -
   v1_16=v1_0-v1_15; // SAC -
   t1_yy[i_E]=t1_v1_16; // TLM =
   yy[i_E]=v1_16; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_acs_div(par_u,t1_par_u,var_V,t1_var_V,var_div4,t1_var_div4);
   t1_v1_0=t1_der_var_P; // TLM scalar memory reference
   v1_0=der_var_P; // SAC scalar memory reference
   t1_v1_1=t1_var_v; // TLM scalar memory reference
   v1_1=var_v; // SAC scalar memory reference
   t1_v1_2=t1_var_X; // TLM scalar memory reference
   v1_2=var_X; // SAC scalar memory reference
   t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   t1_v1_4=t1_var_div4; // TLM scalar memory reference
   v1_4=var_div4; // SAC scalar memory reference
   t1_v1_5=t1_var_P; // TLM scalar memory reference
   v1_5=var_P; // SAC scalar memory reference
   t1_v1_6=v1_5*t1_v1_4+v1_4*t1_v1_5; // TLM *
   v1_6=v1_4*v1_5; // SAC *
   t1_v1_7=t1_v1_3-t1_v1_6; // TLM -
   v1_7=v1_3-v1_6; // SAC -
   t1_v1_8=t1_v1_7; // TLM ()
   v1_8=v1_7; // SAC ()
   t1_v1_9=t1_v1_0-t1_v1_8; // TLM -
   v1_9=v1_0-v1_8; // SAC -
   t1_yy[i_E]=t1_v1_9; // TLM =
   yy[i_E]=v1_9; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_v1_0=t1_der_var_V; // TLM scalar memory reference
   v1_0=der_var_V; // SAC scalar memory reference
   t1_v1_1=t1_par_u; // TLM scalar memory reference
   v1_1=par_u; // SAC scalar memory reference
   t1_v1_2=t1_v1_1; // TLM ()
   v1_2=v1_1; // SAC ()
   t1_v1_3=t1_v1_0-t1_v1_2; // TLM -
   v1_3=v1_0-v1_2; // SAC -
   t1_yy[i_E]=t1_v1_3; // TLM =
   yy[i_E]=v1_3; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_acs_div(var_S,t1_var_S,var_K_I,t1_var_K_I,var_div5,t1_var_div5);
   t1_v1_0=t1_var_K_m; // TLM scalar memory reference
   v1_0=var_K_m; // SAC scalar memory reference
   t1_v1_1=t1_var_S; // TLM scalar memory reference
   v1_1=var_S; // SAC scalar memory reference
   t1_v1_2=t1_v1_0+t1_v1_1; // TLM +
   v1_2=v1_0+v1_1; // SAC +
   t1_v1_3=t1_var_S; // TLM scalar memory reference
   v1_3=var_S; // SAC scalar memory reference
   t1_v1_4=t1_var_div5; // TLM scalar memory reference
   v1_4=var_div5; // SAC scalar memory reference
   t1_v1_5=v1_4*t1_v1_3+v1_3*t1_v1_4; // TLM *
   v1_5=v1_3*v1_4; // SAC *
   t1_v1_6=t1_v1_5; // TLM ()
   v1_6=v1_5; // SAC ()
   t1_v1_7=t1_v1_2+t1_v1_6; // TLM +
   v1_7=v1_2+v1_6; // SAC +
   t1_v1_8=t1_v1_7; // TLM ()
   v1_8=v1_7; // SAC ()
   t1_var_i_expr=t1_v1_8; // TLM =
   var_i_expr=v1_8; // SAC =
   t1_acs_div(var_S,t1_var_S,var_i_expr,t1_var_i_expr,var_div6,t1_var_div6);
   t1_v1_0=t1_var_muS; // TLM scalar memory reference
   v1_0=var_muS; // SAC scalar memory reference
   t1_v1_1=t1_var_mu_m; // TLM scalar memory reference
   v1_1=var_mu_m; // SAC scalar memory reference
   t1_v1_2=t1_var_div6; // TLM scalar memory reference
   v1_2=var_div6; // SAC scalar memory reference
   t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   t1_v1_4=t1_v1_3; // TLM ()
   v1_4=v1_3; // SAC ()
   t1_v1_5=t1_v1_0-t1_v1_4; // TLM -
   v1_5=v1_0-v1_4; // SAC -
   t1_yy[i_E]=t1_v1_5; // TLM =
   yy[i_E]=v1_5; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   // nonfloat assignment
   n_c=i_C;
}
